# H323PeerElementDescriptor Class Reference

`#include <peclient.h>`

## Public Types

| Protocol_H323 = 0x0001
| Protocol_Voice = 0x0002
| Protocol_Max = 0x0002
| Option_WildCard = 0x0004
| Option_SendAccessRequest = 0x0008
| Option_NotAvailable = 0x0010
| Option_PrioritySet = 0x0020
| Option_PriorityMask = 0x1fc0
| HighestPriority = 0
| DefaultPriority = 80
| LowestPriority = 127
| Clean
| Dirty
| Deleted
enum | Options { Protocol_H323 = 0x0001, Protocol_Voice = 0x0002, Protocol_Max = 0x0002, Option_WildCard = 0x0004, Option_SendAccessRequest = 0x0008, Option_NotAvailable = 0x0010, Option_PrioritySet = 0x0020, Option_PriorityMask = 0x1fc0 }
enum | { HighestPriority = 0, DefaultPriority = 80, LowestPriority = 127 }
enum | States { Clean, Dirty, Deleted }

## Public Member Functions

| H323PeerElementDescriptor (const OpalGloballyUniqueID &_descriptorID)
Comparison | Compare (const PObject &obj) const
void | CopyTo (H501_Descriptor &descriptor)
PBoolean | ContainsNonexistent ()

## Static Public Member Functions

static unsigned | SetPriorityOption (unsigned pri)
static unsigned | GetPriorityOption (unsigned options)
static PBoolean | CopyToAddressTemplate (H501_AddressTemplate &addressTemplates, const H225_EndpointType &ep, const H225_ArrayOf_AliasAddress &aliases, const H225_ArrayOf_AliasAddress &transportAddress, unsigned options=H323PeerElementDescriptor::Protocol_H323)
static void | SetProtocolList (H501_ArrayOf_SupportedProtocols &h501Protocols, unsigned protocols)
static unsigned | GetProtocolList (const H501_ArrayOf_SupportedProtocols &h501Protocols)

## Data Fields

OpalGloballyUniqueID | descriptorID
enum H323PeerElementDescriptor::States | state
H501_ArrayOf_AddressTemplate | addressTemplates
PString | gatekeeperID
PTime | lastChanged
POrdinalKey | creator

## Member Enumeration Documentation

anonymous enum

Enumerator:

  HighestPriority |
  DefaultPriority |
  LowestPriority |

enum H323PeerElementDescriptor::Options

Enumerator:

  Protocol_H323 |
  Protocol_Voice |
  Protocol_Max |
  Option_WildCard |
  Option_SendAccessRequest |
  Option_NotAvailable |
  Option_PrioritySet |
  Option_PriorityMask |

enum H323PeerElementDescriptor::States

Enumerator:

  Clean |
  Dirty |
  Deleted |

## Constructor & Destructor Documentation

H323PeerElementDescriptor::H323PeerElementDescriptor | ( | const OpalGloballyUniqueID & | _descriptorID | ) | `[inline]`

## Member Function Documentation

Comparison H323PeerElementDescriptor::Compare | ( | const PObject & | obj | ) | const

PBoolean H323PeerElementDescriptor::ContainsNonexistent | ( |  | ) |

void H323PeerElementDescriptor::CopyTo | ( | H501_Descriptor & | descriptor | ) |

static PBoolean H323PeerElementDescriptor::CopyToAddressTemplate | ( | H501_AddressTemplate & | addressTemplates,
|  | const H225_EndpointType & | ep,
|  | const H225_ArrayOf_AliasAddress & | aliases,
|  | const H225_ArrayOf_AliasAddress & | transportAddress,
|  | unsigned | options = `H323PeerElementDescriptor::Protocol_H323` |
| ) |  |  | `[static]`

static unsigned H323PeerElementDescriptor::GetPriorityOption | ( | unsigned | options | ) | `[inline, static]`

static unsigned H323PeerElementDescriptor::GetProtocolList | ( | const H501_ArrayOf_SupportedProtocols & | h501Protocols | ) | `[static]`

static unsigned H323PeerElementDescriptor::SetPriorityOption | ( | unsigned | pri | ) | `[inline, static]`

static void H323PeerElementDescriptor::SetProtocolList | ( | H501_ArrayOf_SupportedProtocols & | h501Protocols,
|  | unsigned | protocols |
| ) |  |  | `[static]`

## Field Documentation

H501_ArrayOf_AddressTemplate H323PeerElementDescriptor::addressTemplates

POrdinalKey H323PeerElementDescriptor::creator

OpalGloballyUniqueID H323PeerElementDescriptor::descriptorID

PString H323PeerElementDescriptor::gatekeeperID

PTime H323PeerElementDescriptor::lastChanged

enum H323PeerElementDescriptor::States H323PeerElementDescriptor::state

The documentation for this class was generated from the following file:

- peclient.h